package org.artifactory.security.props.auth;

import org.artifactory.api.context.ContextHelper;
import org.artifactory.api.security.SecurityListener;
import org.artifactory.api.security.SecurityService;
import javax.validation.constraints.NotNull;

public abstract class PropsTokenManagerListener extends PropsTokenManager implements SecurityListener {

    PropsTokenManagerListener() {
        super();
        ContextHelper.get().beanForType(SecurityService.class).addListener(this);
    }

    @Override
    public void onClearSecurity() {
        revokeAllTokens();
    }

    @Override
    public void onUserDelete(String username) {
        revokeToken(username);
    }

    @Override
    public void onUserUpdate(String username) {
        revokeToken(username);
    }

    @Override
    public int compareTo(@NotNull SecurityListener o) {
        return hashCode() - o.hashCode();
    }

    @Override
    protected final boolean shouldNotifyListeners() {
        return false;
    }
}
