package org.artifactory.util;

import org.artifactory.webapp.servlet.util.ServletUtils;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import static org.testng.Assert.assertEquals;

/**
 * @author Uriah Levy
 */
@Test
public class ServletUtilsTest {
    @Test(dataProvider = "provideURIs")
    public void testIsBinaryStoreServletRequest(String requestURI, boolean isBinaryStoreServletExpectedValue) {
        assertEquals(ServletUtils.isBinaryStoreServletRequest(requestURI),
                isBinaryStoreServletExpectedValue);
    }

    @DataProvider
    public static Object[][] provideURIs() {
        return new Object[][] {
                {"", false},
                {"/", false},
                {"/foo", false},
                {"artifactory", false},
                {"/artifactory", false},
                {"/artifactory/api/system/ping", false},
                {"binarystore.xml", false},
                {"artifactory/repo/binarystore.xml", false},
                {"/artifactory/binarystore", true},
                {"binarystore", true},
                {"binarystore/foo", true}
        };
    }
}